%define upstream_name    Module-Manifest
%define upstream_version 1.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Parse and examine a Perl distribution MANIFEST file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Test::Exception)
BuildArch: noarch


%description
*Module::Manifest* is a simple utility module created originally for use in
the Module::Inspector manpage.

It allows you to load the _MANIFEST_ file that comes in a Perl distribution
tarball, examine the contents, and perform some simple tasks.

Granted, the functionality needed to do this is quite simple, but the Perl
distribution _MANIFEST_ specification contains a couple of little
idiosyncracies, such as line comments and space-seperated inline comments.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README LICENSE Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.80.0-2.mga3
+ Revision: 369915
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.80.0-1.mga1
+ Revision: 29141
- mageia rebuild
- imported package perl-Module-Manifest

